"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class ConsentStatus(ProtocolElement):
    """
    Consent Status for 100k program
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_10 import participant as participant_1_3_0

        return {
            "org.gel.models.participant.avro.ConsentStatus": participant_1_3_0.ConsentStatus,
        }

    __slots__ = [
        "carrierStatusConsent",
        "primaryFindingConsent",
        "programmeConsent",
        "secondaryFindingConsent",
    ]

    def __init__(
        self,
        carrierStatusConsent=False,
        primaryFindingConsent=False,
        programmeConsent=False,
        secondaryFindingConsent=False,
        validate=None,
        **kwargs
    ):
        """Initialise the participant_1_3_0.ConsentStatus model.

        :param carrierStatusConsent:
            Consent for carrier status check?
        :type carrierStatusConsent: boolean
        :param primaryFindingConsent:
            Consent for feedback of primary findings?
        :type primaryFindingConsent: boolean
        :param programmeConsent:
            Is this individual consented to the programme?         It could simply
            be a family member that is not consented but for whom
            affection status is known
        :type programmeConsent: boolean
        :param secondaryFindingConsent:
            Consent for secondary finding lookup
        :type secondaryFindingConsent: boolean
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.3.0"
